.main-menu {
}

	.main-menu__mobile-button {
		cursor: pointer;
		display: none;
		margin-right: 22px;
		width: 20px;
	}

		.main-menu__mobile-button-line {
			background: #fff;
			display: block;
			height: 3px;
			transition: transform .3s;
		}

			.main-menu__mobile-button-line:not(:last-child) {
				margin-bottom: 3px;
			}

			.main-menu__mobile-checkbox:checked ~ .main-menu__mobile-button .main-menu__mobile-button-line:last-child {
				transform: translateY(-6px) rotate(-45deg);
				transform-origin: 50% 50%;
			}

			.main-menu__mobile-checkbox:checked ~ .main-menu__mobile-button .main-menu__mobile-button-line:first-child {
				transform: translateY(6px) rotate(45deg);
				transform-origin: 50% 50%;
			}

			.main-menu__mobile-checkbox:checked ~ .main-menu__mobile-button .main-menu__mobile-button-line--center {
				visibility: hidden;
			}

	.main-menu__mobile-checkbox {
		display: none;
	}

	.main-menu__list {
		display: -webkit-flex;
		display: flex;
		height: 100%;
		-webkit-justify-content: space-between;
		justify-content: space-between;
		list-style: none;
		margin: 0;
		padding: 0;
	}

		.main-menu__item--lvl1 {
			flex: 1 1 auto;
			position: relative;
		}

			.main-menu__item--lvl1:hover {
			}

				.main-menu__burger-checkbox {
					display: none;
				}

				.main-menu__burger {
					cursor: pointer;
					display: block;
					left: 15px;
					position: absolute;
					top: 18px;
					width: 20px;
					z-index: 1;
				}

					.main-menu__burger-line {
						background: #fff;
						display: block;
						height: 3px;
						transition: transform .3s;
					}

						.main-menu__burger-line:not(:last-child) {
							margin-bottom: 3px;
						}

					.main-menu__item--lvl1:hover .main-menu__burger-line:last-child,
					.main-menu__burger-checkbox:checked ~ .main-menu__burger .main-menu__burger-line:last-child {
						transform: translateY(-6px) rotate(-45deg);
						transform-origin: 50% 50%;
					}

					.main-menu__item--lvl1:hover .main-menu__burger-line:first-child,
					.main-menu__burger-checkbox:checked ~ .main-menu__burger .main-menu__burger-line:first-child {
						transform: translateY(6px) rotate(45deg);
						transform-origin: 50% 50%;
					}

					.main-menu__item--lvl1:hover .main-menu__burger-line--center,
					.main-menu__burger-checkbox:checked ~ .main-menu__burger .main-menu__burger-line--center {
						visibility: hidden;
					}

				.main-menu__link--lvl1 {
					-webkit-align-items: center;
					align-items: center;
					color: #fff;
					display: -webkit-flex;
					display: flex;
					font-size: 16px;
					height: 50px;
					padding: 0 15px;
					position: relative;
					text-transform: uppercase;
				}

					.main-menu__item:hover .main-menu__link--lvl1,
					.main-menu__burger-checkbox:checked ~ .main-menu__link--lvl1,
					.main-menu__link--lvl1.main-menu__link--selected {
						background: #910c00;
						color: #fff;
					}

			.main-menu__list--lvl2 {
				background: #f4f4f4;
				border-top: 1px solid #e1756b;
				border-radius: 0 0 4px 4px;
				border-top: none;
				height: auto;
				margin: 0;
				/*padding: 14px 15px;*/
				z-index: 5;
			}

				.main-menu__item--lvl2 {
					width: 100%;
					position: relative;
					padding: 0 18px 0 18px;
					transition: 0.3s all;
				}

				.main-menu__item--lvl2 a {
					padding: 20px 0 20px 0;
					font-size: 15px;
					line-height: 30px;
				}

				.main-menu__item--lvl2 span {
					padding: 20px 0 20px 0;
					font-size: 15px;
					line-height: 30px;					
				}

				.main-menu__item--lvl2:not(.main-menu__item--selected):hover {
					background-color: #bf1000;
				}

				.main-menu__item--lvl2:hover a {
					color: #fff;
				}				

					.main-menu__item--lvl2:not(:last-child) a, .main-menu__item--lvl2:not(:last-child) span {
						border-bottom: 1px solid rgba(162,162,162, 0.2);
					}

					.main-menu__item--full-width .main-menu__item--lvl2 {
						border-bottom: none;
						margin-bottom: 5px;
						padding: 0 15px;
					}

					.main-menu__link--lvl2 {
						color: #3d3e42;
						display: block;
						text-decoration-color: rgba(191,16,0,0);
					}

						.main-menu__link--lvl2:hover {
							color: #bf1000;
							/*text-decoration-color: rgba(191,16,0,.3);*/
						}

						.main-menu__item--full-width .main-menu__link--lvl2 {
							color: #18191e;
							font-weight: bold;
							text-decoration: none;
							text-transform: uppercase;
						}

							.main-menu__item--full-width .main-menu__link--lvl2:hover {
								color: #bf1000;
							}

					.main-menu__list--lvl3 {
						display: block;
					}

					.main-menu__item-image {
						float: left;
						width: 25%;
					}

						.main-menu__item-image img {
							display: block;
							max-width: 100%;
						}

					.main-menu__item-inner {
						/*margin-left: calc(25% + 10px);*/
					}

						.main-menu__list--lvl3 {
							display: block;
							height: auto;
							margin-top: 8px;
							margin-left: calc(25% + 10px);
						}

							.main-menu__item--lvl3 {
								margin-bottom: 4px;
							}

								.main-menu__link--lvl3 {
									color: #3d3e42;
									text-decoration-color: rgba(191,16,0,0);
								}

									.main-menu__link--lvl3:hover {
										text-decoration-color: rgba(191,16,0,.3);
									}

		.main-menu__link--selected:not(.main-menu__link--lvl1) {
			color: #bf1000;
		}

@media (min-width: 768px) {
	.main-menu {
		margin: 0 0 0 -15px;
	}

		.main-menu__item--lvl1.main-menu__item--parent .main-menu__link--lvl1 {
			padding-left: 51px;
		}

			.main-menu__item--lvl1:not(:last-child) .main-menu__link--lvl1:after {
				border-left: 1px solid #e1756b;
				content: '';
				height: 14px;
				margin-top: -7px;
				position: absolute;
				right: 0;
				top: 50%;
			}

			.main-menu__item--lvl1:not(:last-child):hover .main-menu__link--lvl1:after {
				border-left-color: transparent;
			}

		.main-menu__list--lvl2 {
			width: 100%;
			left: 0;
			max-width: 1140px;
			position: absolute;
			top: 100%;
			z-index: 5;
			display: block;
			visibility: hidden;
			opacity: 0;
			transition: all 0.2s;
		}

			.main-menu__item--full-width .main-menu__list--lvl2 {
				-webkit-align-items: stretch;
				align-items: stretch;
				display: -webkit-flex;
				display: flex;
				-webkit-flex-wrap: wrap;
				flex-wrap: wrap;
				-webkit-justify-content: flex-start;
				justify-content: flex-start;
				padding: 34px 15px 44px 15px;
				width: 100%;
			}

			.main-menu__item--full-width .main-menu__list--lvl2 {
				width: calc(100vw - 47px);
			}

			.main-menu__item--lvl1:not(.main-menu__item--full-width):hover .main-menu__list--lvl2 {

				visibility: visible;
				opacity: 1;

				transition: all .2s;
				box-shadow: 0px 34px 65px 0 rgba(0, 0, 0, 0.15);
			}

				.main-menu__item--full-width.main-menu__item--lvl1:hover .main-menu__list--lvl2 {

/*Temporarily commented flamix*/
/*					visibility: visible;
					opacity: 1;

					transition: opacity .3s;
					transition-timing-function: cubic-bezier(0.42,0,1,1);*/
				}

	/*.main-menu__burger-checkbox:checked ~ .main-menu__list--lvl2 {
		display: block;
	}

	.main-menu__item--full-width .main-menu__burger-checkbox:checked ~ .main-menu__list--lvl2 {
		display: -webkit-flex;
		display: flex;
	}*/

				.main-menu__item--full-width .main-menu__link--lvl2 {
					margin-left: calc(25% + 10px);
				}
}

@media (min-width: 768px) and (max-width: 991px) {
	.main-menu__link--lvl1 {
		font-size: 14px;
	}

		.main-menu__item--lvl1.main-menu__item--parent .main-menu__link--lvl1 {
			padding-left: 51px;
		}

			.main-menu__item--lvl2 {
				flex: 0 0 50%;
			}

		    .main-menu__item--lvl2:not(:nth-last-child(-n+2)) {
					margin-bottom: 40px;
					padding-bottom: 30px;
				}

					.main-menu__item--full-width .main-menu__item--lvl2:not(:nth-last-child(-n+2)):after {
						border-bottom: 1px solid #ebebed;
						bottom: 0;
						content: '';
						display: block;
						left: 15px;
						position: absolute;
						right: 15px;
					}
}

@media (min-width: 992px) and (max-width: 1199px) {
	.main-menu__link--lvl1 {
		font-size: 14px;
	}

		.main-menu__item--lvl1.main-menu__item--parent .main-menu__link--lvl1 {
			padding-left: 61px;
		}

			.main-menu__item--lvl2 {
				flex: 0 0 33.3333%;
			}

				.main-menu__item--full-width .main-menu__item--lvl2:not(:nth-last-child(-n+2)) {
					margin-bottom: 40px;
					padding-bottom: 30px;
				}

					.main-menu__item--full-width .main-menu__item--lvl2:not(:nth-last-child(-n+2)):after {
						border-bottom: 1px solid #ebebed;
						bottom: 0;
						content: '';
						display: block;
						left: 15px;
						position: absolute;
						right: 15px;
					}
	}

@media (min-width: 1200px) {
	.main-menu__item--lvl1.main-menu__item--parent .main-menu__link--lvl1 {
		padding-left: 61px;
	}

	.main-menu__item--lvl2 {
		flex: 0 0 25%;
	}

		.main-menu__item--full-width .main-menu__item--lvl2:not(:nth-last-child(-n+4)) {
			margin-bottom: 40px;
			padding-bottom: 30px;
		}

			.main-menu__item--full-width .main-menu__item--lvl2:not(:nth-last-child(-n+4)):after {
				border-bottom: 1px solid rgba(162,162,162, 0.2);
				bottom: 0;
				content: '';
				display: block;
				left: 15px;
				position: absolute;
				right: 15px;
			}
}

@media (max-width: 767px) {
	.main-menu__mobile-button {
		display: block;
	}

	.main-menu__list--lvl1 {
		background: #c01001;
		display: none;
		height: auto;
		left: -15px;
		position: absolute;
		right: -15px;
		top: 100%;
	}

			.main-menu__mobile-checkbox:checked ~ .main-menu__list--lvl1 {
				display: block;
			}

  .main-menu__burger {
    left: auto;
    right: 15px;
  }

    .main-menu__burger-checkbox:checked ~ .main-menu__list--lvl2 {
			display: block;
			position: relative;
		}

		.main-menu__list--lvl2 {
			display: none;
		}

			.main-menu__list--lvl2 .slick-prev {
				background: none;
				border: none;
				cursor: pointer;
				font-size: 0;
				height: 100%;
				left: 5px;
				outline: none;
				padding: 0;
				position: absolute;
				text-align: center;
				top: 0;
				width: 19px;
			}

			.main-menu__list--lvl2 .slick-next {
				background: none;
				border: none;
				cursor: pointer;
				font-size: 0;
				height: 100%;
				outline: none;
				padding: 0;
				position: absolute;
				right: 5px;
				text-align: center;
				top: 0;
				width: 19px;
			}

				.main-menu__list--lvl2 .svg-icon {
					fill: #cdced2;
					height: 19px;
					transition: fill .3s;
					width: 37px;
				}

					.main-menu__list--lvl2 .slick-arrow:hover .svg-icon {
						fill: #bf1000;
					}

					.main-menu__list--lvl2 .slick-prev .svg-icon {
						transform: rotate(-90deg) translate(0, -50%);
					}

					.main-menu__list--lvl2 .slick-next .svg-icon {
						transform: rotate(90deg) translate(0, 50%);
					}

    .main-menu__item--lvl2:nth-child(n) {
      margin-bottom: 0;
      padding-bottom: 0;
    }

			.main-menu__item--lvl2:nth-child(n):after {
				content: normal;
			}

			.main-menu__item-image {
				display: none;
			}

      .main-menu__item-inner {
        margin: 0;
      }

			.main-menu__list--lvl3 {
				margin-left: 0;
			}
}

@media (max-height: 1100px) {
	.main-menu__item--lvl2 a {
		padding: 16px 0 16px 0;
		line-height: 20px;
	}

	.main-menu__item--lvl2 span {
		padding: 16px 0 16px 0;
		line-height: 20px;		
	}	
}
